cURL
curl --request GET \ --url https://api.hubapi.com/cos-domains/v1/domains
{ "objects": [ { "id": "1234567", "domain": "demo-hubapi.hs-sites.com", "primaryLandingPage": true, "primaryEmail": false, "primaryBlog": true, "primarySitePage": true, "primaryKnowledge": false, "manuallyMarkedAsResolving": false, "isResolving": true, "created": 1482867600000, "updated": 1482867600000, "isUsingHttps": true, "sslRequestId": "ssl-123456", "usedFor": "LANDING_PAGE" }, { "id": "1234568", "domain": "www.example.com", "primaryLandingPage": false, "primaryEmail": true, "primaryBlog": false, "primarySitePage": false, "primaryKnowledge": true, "manuallyMarkedAsResolving": true, "isResolving": true, "created": 1482867600000, "updated": 1482867600000, "isUsingHttps": true, "sslRequestId": "ssl-123457", "usedFor": "EMAIL" } ], "total": 2, "limit": 100, "offset": 0 }
Returns a list of domains for the portal.
Scope requirements
The number of items to return. Defaults to 100.
The offset set to start returning rows from. Defaults to 0.
Filter by creation date
Filter by last updated date
Successful response
Show child attributes
Total number of domains
Limit used in query
Offset used in query
Was this page helpful?